<?php
		header("Access-Control-Allow-Origin: *");
		header("Access-Control-Allow-Headers: access");
		header("Access-Control-Allow-Methods: GET");
		header("Access-Control-Allow-Credentials: true");
		header("Content-Type: application/json; charset=UTF-8");

		include_once '../Database.php';
		include_once 'User.php';
        include_once 'password.php';
        include_once '../Favoritos/favorito.php';

		$database = new DataBase();
		$db = $database->getConnection();
        
	    $hoy = date('Y-m-d');
	    $valid=$hoy;
		$usuario = new Usuario($db);
		$accede = isset($_GET['inicio'])?$_GET['inicio']:die();
		$valor = isset($_GET['valor'])?$_GET['valor']:die();
		$password = isset($_GET['pass'])?$_GET['pass']:die();
		$facebook = isset($_GET['idface'])?$_GET['idface']:die();
		$google = isset($_GET['idgoogle'])?$_GET['idgoogle']:die();
	//	echo json_encode($usuario->password);
		try{
			$consulta="select * from ".$usuario->table_name." where ".$accede."='".$valor."'";
			$stmt = $usuario->select($consulta);
		$num = $stmt->rowCount();
        
		if($num>0){
			$row =$stmt->fetch(PDO::FETCH_ASSOC);
			    //$pass=$password;
			    //$tabla = $usuario->table_name;
			    //$actual= $usuario;
				extract($row);
				$fav =getFavoritos($db,$id);
				//Verificar con que esta accediendo
				if($accede=="idface"){
				    if($facebook==$idface){
				        echo json_encode(array("Error"=>false,"id"=>$id,"token"=>$token,"nombre"=>$nombre,"img"=>$img,"fav"=>$fav));
				        return;
				    }else{
				       echo json_encode(array("Error"=>true,"Mensaje"=>"El ".$inicio." no esta registrado "));
				       return ;
				    }
				}else if($accede=="idgoogle"){
				    if($google==$idgoogle){
				        echo json_encode(array("Error"=>false,"id"=>$id,"token"=>$token,"nombre"=>$nombre,"img"=>$img,"fav"=>$fav));
				        return;
				    }else{
				       echo json_encode(array("Error"=>true,"Mensaje"=>"El ".$inicio." no esta registrado "));
				       return ;
				    }
				}else{
				    if(password_verify($password,$pass)){
				    //if($valido==$hoy){
				    echo json_encode(array("Error"=>false,"id"=>$id,"nombre"=>$nombre,"img"=>$img,"fav"=>$fav));
				    //}else{
				      //  GeneraToken($db,$id,$valid,$nombre,$img);
				    //}
				}else{
				  	echo json_encode(array("Error"=>true,"Mensaje"=>"Password incorrecta"));  
				}
				}
				
		}
		else {
		    if($accede=='idface'){
		        $nombre = isset($_GET['nombre'])?$_GET['nombre']:'';
		        $correo = isset($_GET['correo'])?$_GET['correo']:'';
		        $telefono = isset($_GET['telefono'])?$_GET['telefono']:'';
		        $logo = isset($_GET['logo'])?$_GET['logo']:'';
		        $dat = creaUser($db,$nombre,$correo,$telefono,true,$logo,$accede,$valor,null,$logo);
		        echo $dat;
		    }else if($accede=='idgoogle'){
		        $nombre = isset($_GET['nombre'])?$_GET['nombre']:'';
		        $correo = isset($_GET['correo'])?$_GET['correo']:'';
		        $telefono = isset($_GET['telefono'])?$_GET['telefono']:'';
		        $logo = isset($_GET['logo'])?$_GET['logo']:'';
		        $dat = creaUser($db,$nombre,$correo,$telefono,true,$logo,$accede,$facebook,$google,$logo);
		        echo $dat;
		    }else{
			echo json_encode(array("Error"=>true,"Mensaje"=>"El ".$inicio." no esta registrado "));}
		}
	}catch(Exeption $e){
		echo json_encode(array("Error"=>true,"Mensaje"=>"Error ".$e));
	}
	
	function creaUser($db,$nombre,$correo,$telefono,$notificar,$foto,$inicio,$face,$google,$img){
	    $usuario = new Usuario($db);
	    	
        	$query = "INSERT INTO ".$usuario->table_name." SET nombre=:nombre, correo=:correo, telefono=:telefono,notificar=:notificar,inicio=:inicio,img=:img,idface=:face,idgoogle=:google";
        	$stm = $usuario->conn->prepare($query);
        	$stm->bindParam(":nombre",$nombre);
        	$stm->bindParam(":correo",$correo);
        	$stm->bindParam(":telefono",$telefono);
        	$stm->bindParam(":notificar",$notificar);
        	$stm->bindParam(":inicio",$inicio);
        	$stm->bindParam(":face",$facebok);
        	$stm->bindParam(":google",$google);
        	$stm->bindParam(":img",$img);
        	
        	$stmt = $usuario->Insert($stm);
        	if($stmt !==false){
        		return json_encode(array("Error"=>false,"Id"=>$stmt));
        	}else{
        		return json_encode(array("Error"=>true,"Mensaje"=>"No se ha creado el registro"));
        	}
	}
	
	function getFavoritos($db,$user){
	    $fav = new Favorito($db);
	    $stmt=$fav->select("select a.*,f.thumbai from anuncios as a inner join sub_archivo as f on a.id=f.id_anuncio where a.id IN (select ads from fav where user=".$user.")");
	    $num = $stmt->rowCount();
	    if($num>0){
	         $lista=array();
			while($row =$stmt->fetch(PDO::FETCH_ASSOC)){
			    extract($row);
			    $ands=array(
			        "id"=>$id,
			        "id_estados"=>$id_estados,
			        "id_ciudades"=>$id_ciudades,
			        "titulo"=>$titulo,
			        "descripcion"=>$descripcion,
			        "telefono"=>$telefono,
			        "movil"=>$movil,
			        "fax"=>$fax,
			        "nextel"=>$nextel,
			        "email"=>$email,
			        "direccion"=>$direccion,
			        "url"=>$url,
			        "cupon"=>$cupon,
			         "vip"=>$vip,
			         "longitud"=>$longitud,
			         "latitud"=>$latitud,
			         "contrato"=>$contrato,
			         "destacado"=>$destacado,
			         "rating"=>$rating,
			         "thumbai"=>$thumbai,
			        );
				array_push($lista,$ands);
			}
			return $lista;
	    }else{
	        return null;
	    }
	}
	
//	function GeneraToken($db,$id,$fecha,$nombre,$foto,$admin){
//	    $tok = bin2hex(openssl_random_pseudo_bytes(20));
//		$usuario = new Usuario($db);
///		$query = "UPDATE ".$usuario->table_name." SET valido=:fecha,token=:token  WHERE id=:idx";
   //                 	$stm = $usuario->conn->prepare($query);
     //               	$stm->bindParam(":fecha",$valid);
       //             	$stm->bindParam(":token",$tok);
         //           	$stm->bindParam(":idx",$id);
           //         	$stmt = $usuario->Update($stm);
             //       	if($stmt){
               //     		echo json_encode(array("Error"=>false,"id"=>$id,"token"=>$tok,"nombre"=>$nombre,"img"=>$foto;
                 //   	}else{
                   // 		echo json_encode(array("Error"=>true,"Mensaje"=>"No se ha podido procesar la peticion "));
                    //	}
	//}
		
?>